Bug 256161 - x11-toolkits/pango fails to build in poudriere testport
Summary: x11-toolkits/pango fails to build in poudriere testport
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-desktop (Team)
URL: https://cloud.zyxst.net/~john/FreeBSD...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-25 23:46 UTC by tech-lists
Modified: 2021-05-27 19:48 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
textproc/gi-docgen - make port more pythonish (6.32 KB, patch)
2021-05-26 16:32 UTC, Sergey Akhmatov
no flags Details | Diff
Fix DOCs generation (10.60 KB, patch)
2021-05-26 16:33 UTC, Sergey Akhmatov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2021-05-25 23:46:12 UTC
hi,

context: poudriere-devel-3.3.99.20210521 on amd64 12.2-p6 amd64 jail
from ports last updated about 0030 UTC+1 today 26th May:

[00:00:44] ===========================================================================
[00:00:44] =>> Checking for filesystem violations... done
[00:00:44] =>> Error: Filesystem touched during build:
[00:00:44] extra: usr/local/lib/python3.8/site-packages/gidocgen/__pycache__
[00:00:44] extra: usr/local/lib/python3.8/site-packages/gidocgen/gir/__pycache__
[00:00:44] Saving x11-toolkits/pango | pango-1.48.4 wrkdir
[00:00:50] Saved x11-toolkits/pango | pango-1.48.4 wrkdir to: /usr/local/poudriere/data/wrkdirs/jailname/portstree/pango-1.48.4.txz
[00:00:51] build of x11-toolkits/pango | pango-1.48.4 ended at Wed May 26 00:26:25 BST 2021
[00:00:51] build time: 00:00:38
[00:00:51] !!! build failure encountered !!!
[00:00:51] Error: Build failed in phase: build_fs_violation

earlier:

[00:00:34] Package pango was not found in the pkg-config search path.
[00:00:34] Perhaps you should add the directory containing `pango.pc'
[00:00:34] to the PKG_CONFIG_PATH environment variable
[00:00:34] Package 'pango', required by 'virtual:world', not found
[00:00:34]

if required, I'll link the full log
Comment 1 tech-lists 2021-05-26 13:18:59 UTC
linked full log
Comment 2 tech-lists 2021-05-26 13:20:17 UTC
reproduced the same issue on another poudriere (server) instance
Comment 3 Sergey Akhmatov 2021-05-26 16:31:39 UTC
It fails for me too, with DOCS option enabled. textproc/gi-docgen used to generate DOCS seems like a total mess. It's a python port, but doesn't look pythonish at all.

I've made patches for textproc/gi-docgen & pango and tested them with different options combinations, works so far for me.
Comment 4 Sergey Akhmatov 2021-05-26 16:32:28 UTC
Created attachment 225287 [details]
textproc/gi-docgen - make port more pythonish
Comment 5 Sergey Akhmatov 2021-05-26 16:33:21 UTC
Created attachment 225288 [details]
Fix DOCs generation
Comment 6 tech-lists 2021-05-26 23:37:29 UTC
(In reply to Sergey Akhmatov from comment #5)

Hi,

thanks for the patch. The first one applied cleanly; there was an error with the 2nd one though:

|diff --git a/x11-toolkits/pango/pkg-plist b/x11-toolkits/pango/pkg-plist
|index 6b1b0112ee05..39e9c295543a 100644
|--- a/x11-toolkits/pango/pkg-plist
|+++ b/x11-toolkits/pango/pkg-plist
--------------------------
Patching file x11-toolkits/pango/pkg-plist using Plan A...
patch: **** malformed patch at line 41: %DOCSDIR%%/reference/PangoXft/func.render_layout.html


Going to try building the port now, will report back here
Comment 7 tech-lists 2021-05-27 01:58:56 UTC
(In reply to tech-lists from comment #6)

seemed to fix the build! thank you very much
Comment 8 Tobias C. Berner freebsd_committer 2021-05-27 08:46:32 UTC
Thanks a lot for your contribution!

However, when testing it locally, it seems to build & install its shipped version of gidocgen (subprojects/gi-docgen) additionally.

I'll take a closer look tonight.

mfg Tobias
Comment 9 commit-hook freebsd_committer 2021-05-27 19:37:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5a86d2123f7962acd7a13f78900ff5abe338010d

commit 5a86d2123f7962acd7a13f78900ff5abe338010d
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-05-27 18:43:12 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-05-27 19:36:07 +0000

    textproc/gi-docgen: rename to textproc/py-gi-docgen

    - x11-toolkits/libadwaita: update dependency on moved textproc/py-gi-docgen port
    - x11-toolkits/pango: update dependency on moved textproc/py-gi-docgen port

    PR:             256161

 MOVED                                                     | 1 +
 textproc/Makefile                                         | 2 +-
 textproc/{gi-docgen => py-gi-docgen}/Makefile             | 0
 textproc/{gi-docgen => py-gi-docgen}/distinfo             | 0
 textproc/{gi-docgen => py-gi-docgen}/files/patch-setup.py | 0
 textproc/{gi-docgen => py-gi-docgen}/pkg-descr            | 0
 x11-toolkits/libadwaita/Makefile                          | 5 +++--
 x11-toolkits/pango/Makefile                               | 3 ++-
 8 files changed, 7 insertions(+), 4 deletions(-)
Comment 10 commit-hook freebsd_committer 2021-05-27 19:37:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=10b57e848816a9dc7030d46167917dfff0b6106d

commit 10b57e848816a9dc7030d46167917dfff0b6106d
Author:     Sergey Akhmatov <sergey@akhmatov.ru>
AuthorDate: 2021-05-27 08:04:52 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-05-27 19:36:01 +0000

    x11-toolkits/pango: fix DOCS option

    - Disable the bundled gi-docgen, when gi-docgen is not installed,
      a fallback bundled version of it could be built when python3 is found.

    PR:             256161
    Reported by:    tech-lists@zyxst.net
    Pointy hat:     nc

 x11-toolkits/pango/Makefile                      |   4 +-
 x11-toolkits/pango/files/patch-meson.build (new) |  14 +++
 x11-toolkits/pango/pkg-plist                     | 134 +++++++++++------------
 3 files changed, 83 insertions(+), 69 deletions(-)
Comment 11 commit-hook freebsd_committer 2021-05-27 19:37:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=247067631c56c9835926f65d3d60c493b954bb74

commit 247067631c56c9835926f65d3d60c493b954bb74
Author:     Sergey Akhmatov <sergey@akhmatov.ru>
AuthorDate: 2021-05-27 08:03:01 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-05-27 19:35:52 +0000

    textproc/gi-docgen: make port more pythonish

    - The port was not quite following the standard python port
      paradigms.

    PR:             256161
    Reported by:    tech-lists@zyxst.net

 textproc/gi-docgen/Makefile                       | 10 ++--
 textproc/gi-docgen/files/patch-meson.build (gone) | 11 ----
 textproc/gi-docgen/files/patch-setup.py (new)     | 11 ++++
 textproc/gi-docgen/pkg-plist (gone)               | 73 -----------------------
 4 files changed, 15 insertions(+), 90 deletions(-)
Comment 12 Tobias C. Berner freebsd_committer 2021-05-27 19:48:30 UTC
Moin moin 

Comitted with some additional changes. 


mfg Tobias